grml-iptstate: check for '_conntrack' module instead of ip_conntrack, some formating... 0.9.46
authorMichael Prokop <mika@grml.org>
Sun, 6 May 2007 09:15:26 +0000 (11:15 +0200)
committerMichael Prokop <mika@grml.org>
Sun, 6 May 2007 09:15:26 +0000 (11:15 +0200)
debian/changelog
usr_sbin/grml-iptstate

index 7169c7d..5283a14 100644 (file)
@@ -1,3 +1,10 @@
+grml-scripts (0.9.46) unstable; urgency=low
+
+  * grml-iptstate: check for '_conntrack' module instead of
+    ip_conntrack, some formating changes.
+
+ -- Michael Prokop <mika@grml.org>  Sun,  6 May 2007 11:14:30 +0200
+
 grml-scripts (0.9.45) unstable; urgency=low
 
   * bt-audio: use /etc/grml/script-functions, some more small
index df254b1..0398cfa 100755 (executable)
@@ -8,20 +8,26 @@
 ################################################################################
 
 . /etc/grml/script-functions
+. /etc/grml/lsb-functions
 check4progs iptstate || exit 1
 
-if grep -q ip_conntrack /proc/modules ; then
+if grep -q '_conntrack' /proc/modules ; then
    iptstate
 else
-   echo "Module ip_conntrack is not present. Can not start iptstate therefore."
-   echo -n "Do you want to load it and invoke iptstate afterwards? [YES|no] "
-   read a
-   if [ "$a" = YES -o "$a" = yes -o "$a" = '' -o "$a" = y -o "$a" = Y ] ; then
-      modprobe ip_conntrack && exec iptstate
-   else
-      echo "Aborting as requested."
-      exit 1
-   fi
+   einfo "iptstate is a top-like display of IP Tables state table entries."
+   echo
+   ewarn "Module ip_conntrack is not present. Can not start iptstate therefore."
+   eindent
+     einfon "Do you want to load it and invoke iptstate afterwards? [YES|no] "
+     read a
+     if [ "$a" = YES -o "$a" = yes -o "$a" = '' -o "$a" = y -o "$a" = Y ] ; then
+        modprobe ip_conntrack ; RC=$?
+       eend $RC
+       [ "$RC" = 0 ] && exec iptstate
+     else
+        echo "Aborting as requested."
+        exit 1
+     fi
 fi
 
 ## END OF FILE #################################################################